List leave requests

Returns a list of leave requests. The leave requests are reutrned sorted by the starting date of the leave request, with the most recent appearing last.

Query Params
integer

Return results filtered by these specified employee IDs. Multiple employe IDs can be provided using an ampersand separated list. For example, employee_ids[]=1&employee_ids[]=2

string
enum

Return results where states are filtered by these specified states. Multiple states can be provided using an ampersand separated list. For example, states[]=approved&states[]=pending

Allowed:
date

Return results where leave requests start greater than or equal to this value.

date

Return results where leave requests end less than or equal to this value.

integer
Defaults to 1

A cursor for pagination across multiple pages of results.

int64

Return results where the created_at field is greater than this value. Value should be a valid Unix timestamp.

int64

Return results where the created_at field is less than this value. Value should be a valid Unix timestamp.

int64

Return results where the updated_at field is greater than this value. Value should be a valid Unix timestamp.

int64

Return results where the updated_at field is less than this value. Value should be a valid Unix timestamp.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json